Summary:	A libinput-based X.org input driver
Summary(pl.UTF-8):	Sterownik wejściowy X.org oparty na libinput
Name:		xorg-driver-input-libinput
Version:	0.15.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-libinput-%{version}.tar.bz2
# Source0-md5:	4a4766a139665ae42870bf432be5631e
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libinput-devel >= 1.1.0
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-proto-inputproto-devel >= 2.2
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.10
%{?requires_xorg_xserver_xinput}
Requires:	libinput >= 1.1.0
Requires:	xorg-xserver-server >= 1.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an X driver based on libinput. It is a thin wrapper around
libinput, so while it does provide all features that libinput supports
it does little beyond.

%description -l pl.UTF-8
Sterownik wejściowy X oparty na libinput. Jest to bardzo cienkie
obudowanie biblioteki libinput, więc udostępnia wszystkie funkcje
obsługiwane przez libinput, ale niewiele poza tym.

%package devel
Summary:	Header file for libinput driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika libinput
Group:		Development/Libraries

%description devel
Header file for libinput driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika libinput.

%prep
%setup -q -n xf86-input-libinput-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-xorg-conf-dir=/etc/X11/xorg.conf.d \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/X11/xorg.conf.d/

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
/etc/X11/xorg.conf.d/90-libinput.conf
%attr(755,root,root) %{_libdir}/xorg/modules/input/libinput_drv.so
%{_mandir}/man4/libinput.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/libinput-properties.h
%{_pkgconfigdir}/xorg-libinput.pc
%changelog
* Tue Oct 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-libinput.git;a=log;h=master

* Tue Oct 27 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fde3923
- up to 0.15.0

* Mon Aug 31 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> df8f177
- up to 0.14.0

* Tue Aug 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 124e021
- up to 0.13.0

* Tue Jul 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b09c3fd
- up to 0.12.0

* Sat Jun 13 2015 Jakub Bogusz <qboosh@pld-linux.org> dffb6a0
- updated libinput version

* Fri Jun 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b53ffd4
- up to 0.11.0

* Wed Jun 03 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ad3d60
- rel 2; add config and fixes from FC

* Wed Jun 03 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 83ace42
- up to 0.10.0

* Thu Apr 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 61fb781
- updated to 0.9.0

* Sun Mar 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 1d3cb74
- updated to 0.8.0

* Tue Feb 24 2015 Jakub Bogusz <qboosh@pld-linux.org> fbbe699
- updated to 0.7.0

* Sun Feb 01 2015 Jan Rękorajski <baggins@pld-linux.org> c6038ad
- release 2 (by relup.sh)

* Wed Jan 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 6004e28
- updated to 0.6.0, added -devel

* Fri Jan 16 2015 Jakub Bogusz <qboosh@pld-linux.org> 601a258
- updated to 0.5.0

* Fri Dec 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 7991769
- updated to 0.4.0; requires just released libinput 0.7.0

* Fri Nov 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 47667f3
- up to 0.3.0

* Wed Nov 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 51d7e93
- new; needs unreleased yet libinput

